Package it.ernytech.tdlib

## Class TdApi.StickerSetInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.StickerSetInfo

Enclosing class:
  TdApi

    public static class TdApi.StickerSetInfo
    extends TdApi.Object

Represents short information about a sticker set.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Sticker[]` `covers` Contains up to the first 5 stickers from the set, depending on the context.
`long` `id` Identifier of the sticker set.
`boolean` `isArchived` True, if the sticker set has been archived.
`boolean` `isInstalled` True, if the sticker set has been installed by current user.
`boolean` `isMasks` True, if the stickers in the set are masks.
`boolean` `isOfficial` True, if the sticker set is official.
`boolean` `isViewed` True for already viewed trending sticker sets.
`java.lang.String` `name` Name of the sticker set.
`int` `size` Total number of stickers in the set.
`java.lang.String` `title` Title of the sticker set.

### Constructor Summary

Constructors
`StickerSetInfo()` Default constructor.
`StickerSetInfo​(long id, java.lang.String title, java.lang.String name, boolean isInstalled, boolean isArchived, boolean isOfficial, boolean isMasks, boolean isViewed, int size, TdApi.Sticker[] covers)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Identifier of the sticker set.

#### title

    public java.lang.String title

Title of the sticker set.

#### name

    public java.lang.String name

Name of the sticker set.

#### isInstalled

    public boolean isInstalled

True, if the sticker set has been installed by current user.

#### isArchived

    public boolean isArchived

True, if the sticker set has been archived. A sticker set can't be installed and archived simultaneously.

#### isOfficial

    public boolean isOfficial

True, if the sticker set is official.

#### isMasks

    public boolean isMasks

True, if the stickers in the set are masks.

#### isViewed

    public boolean isViewed

True for already viewed trending sticker sets.

#### size

    public int size

Total number of stickers in the set.

#### covers

    public TdApi.Sticker[] covers

Contains up to the first 5 stickers from the set, depending on the context. If the client needs more stickers the full set should be requested.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### StickerSetInfo

    public StickerSetInfo()

Default constructor.

#### StickerSetInfo

    public StickerSetInfo​(long id,
                          java.lang.String title,
                          java.lang.String name,
                          boolean isInstalled,
                          boolean isArchived,
                          boolean isOfficial,
                          boolean isMasks,
                          boolean isViewed,
                          int size,
                          TdApi.Sticker[] covers)

Constructor for initialization of all fields.

Parameters:
  `id` - Identifier of the sticker set.
  `title` - Title of the sticker set.
  `name` - Name of the sticker set.
  `isInstalled` - True, if the sticker set has been installed by current user.
  `isArchived` - True, if the sticker set has been archived. A sticker set can't be installed and archived simultaneously.
  `isOfficial` - True, if the sticker set is official.
  `isMasks` - True, if the stickers in the set are masks.
  `isViewed` - True for already viewed trending sticker sets.
  `size` - Total number of stickers in the set.
  `covers` - Contains up to the first 5 stickers from the set, depending on the context. If the client needs more stickers the full set should be requested.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR